Nach dem 1.4.9 Update... :-(

Irgendwelche Probleme mit XAMPP für Windows? Dann ist hier genau der richtige Ort um nachzufragen.

Nach dem 1.4.9 Update... :-(

Postby sherlock » 05. October 2004 07:58

Hi,

habe bisher erfolgreich XAMPP für Windows eingesetzt. 2003-Server und feste IP-Adresse.
Nutze hauptsächlich PHP und Perl nur für AWSTATS. Lief beides einwandfrei.

Nach dem Update jedoch lässt sich der Apache Dienst nicht mehr mit eingeschaltetem mod_perl starten. Ich erhalte in der error.log immer den Eintrag:
Code: Select all
Can't load Perl file c:/apachefriends/xampp/apache/conf/startup.pl for server xyz.de exiting...


Ich habe danach gesehen, daß es ein aktualisiertes Perl-Paket gibt. Das habe ich dann versucht einzuspielen, ohne Erfolg, denn es wurde gemeldet, daß kein Apache 2.052 installiert sei und abgebrochen :?

Na gut, dann hab ich eben das Komplett-Paket drüber installiert. Immerhin ging dann auch das Perl-Paket zu installieren (und tatsächlich steht wohl auch in der Readme daß der Installer des Basispakets vorhanden sein muss, aber was soll einer machen der nur updaten will?). Wie dem auch sei, mit aktiviertem mod_perl startet Apache immer noch nicht :evil:

Kurz und gut: Hilfe

Sherlock

PS: ansonsten ist XAMPP eine coole Sache
User avatar
sherlock
 
Posts: 4
Joined: 05. October 2004 07:30
Location: Frankfurt

Komme nicht weiter

Postby sherlock » 06. October 2004 15:10

Ich habe zwischenzeitlich mal eine ältere XAMPP Version (hab sie mir alle aufgehoben) drüber installiert, das hat nichts gebracht.. :(

Gibt es im übrigen einen Ort, an dem man ältere Versionen runterladen kann?

Gruß,

Sherlock
User avatar
sherlock
 
Posts: 4
Joined: 05. October 2004 07:30
Location: Frankfurt

Re: Komme nicht weiter

Postby Kristian Marcroft » 06. October 2004 15:22

sherlock wrote:Gibt es im übrigen einen Ort, an dem man ältere Versionen runterladen kann?

Hi,

ja auf unserer HP, ist ein Link ->
Alle Versionen (auch der "alte" WAMPP) können nach wie vor heruntergeladen werden und zwar bei SourceForge.


Wennst nochmal genau nahc diesem Satz suchst...
findest du auch ein Link ;)

So long
KriS
User avatar
Kristian Marcroft
AF Moderator
 
Posts: 2962
Joined: 03. January 2003 12:08
Location: Diedorf

Postby sherlock » 07. October 2004 09:18

Ahja, danke. :idea:

Habs gefunden. Bringt mir leider nichts, ich will nicht unbedingt alles löschen, um dann neu zu installieren. Meine httpd.conf und php.ini und was weiss ich was noch alles im Laufe der Zeit verändert wurde, sind mir zu kostbar. Gibt es denn keinen anderen Weg als totale Neuinstallation?

Ich bin zwar nicht unbedingt auf Perl angewiesen, aber irgendwie vermisse ich jetzt meine Statistiken....

Sherlock
User avatar
sherlock
 
Posts: 4
Joined: 05. October 2004 07:30
Location: Frankfurt

Postby borschtel1 » 07. October 2004 10:15

Wollte mich auch nur mal melden und bekannt geben, dass das Problem nach dem Update bei mir auch aufgetaucht ist. Allerdings läuft der neue Apache mit dem alten Perl.

Meine Config:
Apache Version Apache/2.0.52 (Win32) mod_perl/1.99_16 Perl/v5.8.4 PHP/4.3.9 mod_ssl/2.0.52 OpenSSL/0.9.7c


Gruß
ThorstenT
http://www.logospiel.de - Das Spiel mit den Logos
borschtel1
 
Posts: 29
Joined: 27. May 2004 11:29


Return to XAMPP für Windows

Who is online

Users browsing this forum: No registered users and 6 guests